## javax.jbi.management
Interface InstallerMBean

    public interface InstallerMBean

The InstallerMBean defines standard installation and uninstallation controls for components. InstallerMBeans are created by the `InstallationServiceMBean`. The InstallerMBean offers controls to allow an administrative tool to:

- Install the component from the installation package.
- Uninstall the component.
- Check the installation status of the component.
- Get the file path to the component's installation root directory.

Author:
  JSR208 Expert Group

Method Summary
`javax.management.ObjectName` `getInstallerConfigurationMBean()` Get the installer configuration MBean name for this component.
`java.lang.String` `getInstallRoot()` Get the installation root directory path for this component.
`javax.management.ObjectName` `install()` Install a component.
`boolean` `isInstalled()` Determine whether or not the component is installed.
`void` `uninstall()` Uninstall the component.

Method Detail

### getInstallerConfigurationMBean

    javax.management.ObjectName getInstallerConfigurationMBean()
                                                               throws JBIException

  Get the installer configuration MBean name for this component.

  Returns:
    the MBean object name of the Installer Configuration MBean; `null` if none is provided by this component
  Throws:
    `JBIException` - if the component is not in the appropriate state (after install() but before life cycle initialization), or if any error occurs during processing

### getInstallRoot

    java.lang.String getInstallRoot()

  Get the installation root directory path for this component.

  Returns:
    the full installation path of this component; this must be in absolute path name form, in platform-specific format; must be non-null and non-empty

### install

    javax.management.ObjectName install()
                                        throws JBIException

  Install a component.

  Note that the implementation must leave the component in its installed, shutdown state. Automatic starting of components during installation by implementations is not allowed.

  Returns:
    JMX ObjectName representing the LifeCycleMBean for the installed component, or `null` if the installation did not complete
  Throws:
    `JBIException` - if the installation fails

### isInstalled

    boolean isInstalled()

  Determine whether or not the component is installed.

  Returns:
    `true` if this component is currently installed, otherwise `false`

### uninstall

    void uninstall()
                   throws JBIException

  Uninstall the component. This completely removes the component from the JBI system.

  Throws:
    `JBIException` - if the uninstallation fails

${build-info}

${copyright}